%define major 1
%define libname %mklibname inchi %major
%define libname_devel %mklibname -d inchi
%define inchi_so_ver 1.04.00
%define url_version 1.04
Name:          inchi
Version:       1.0.4
Release:       %mkrel 1
Summary:       The IUPAC International Chemical Identifier
Group:         System/Libraries
License:       LGPL
Url:           http://www.iupac.org/inchi/
Source0:       http://www.inchi-trust.org/sites/default/files/inchi-%{url_version}/INCHI-1-API.ZIP
Source1:       http://www.inchi-trust.org/sites/default/files/inchi-%{url_version}/INCHI-1-DOC.ZIP
Patch0:        inchi-rpm.patch
BuildRequires: dos2unix
BuildRequires: glibc-devel

%description
The IUPAC International Chemical Identifier (InChITM) is a non-proprietary
identifier for chemical substances that can be used in printed and
electronic data sources thus enabling easier linking of diverse data
compilations.* It was developed under IUPAC Project 2000-025-1-800 during
the period 2000-2004. Details of the project and the history of its
progress are available from the project web site.

%package -n %libname
Summary:       The InChI library
Group:         System/Libraries
Provides:      %{name} = %{version}-%{release}

%description -n %libname
The IUPAC International Chemical Identifier.

This package contains the InChI runtime library.

%package -n %libname_devel
Group:         Development/C
Summary:       Development headers for the InChI library
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %libname_devel
The IUPAC International Chemical Identifier.

This package contains header files need for development.

%package doc
Group:         Books/Other
Summary:       Documentation for the InChI library
Requires:      %{name} = %{version}-%{release}
BuildArch:     noarch

%description doc
The IUPAC International Chemical Identifier.

This package contains the development documentation for InChI.

%prep
%setup -q -n INCHI-1-API -a1
%patch0 -p1 -b .r

rm INCHI_API/gcc_so_makefile/result/{libinchi,inchi}*
for file in INCHI_API/inchi_dll/inchi_api.h LICENCE readme.txt ; do
  dos2unix -k $file
done

%build

(
  cd INCHI_API/gcc_so_makefile
  %make ISLINUX=1 OPTFLAGS="%{optflags}" %{?_smp_mflags}
)

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_libdir},%{_includedir}/inchi}
install -p INCHI_API/gcc_so_makefile/result/libinchi.so.%{inchi_so_ver} %{buildroot}%{_libdir}
ln -s libinchi.so.%{inchi_so_ver} %{buildroot}%{_libdir}/libinchi.so.%{major}
ln -s libinchi.so.%{major} %{buildroot}%{_libdir}/libinchi.so
install -pm644 INCHI_API/inchi_dll/inchi_api.h %{buildroot}%{_includedir}/inchi

%files -n %libname
%{_libdir}/libinchi.so.%{major}*
%doc LICENCE readme.txt

%files -n %libname_devel
%dir %{_includedir}/inchi
%{_includedir}/inchi/*
%{_libdir}/libinchi.so

%files doc
%doc INCHI-1-DOC/*

%changelog

* Wed Dec 28 2011 gil <gil> 1.0.4-1.mga2
+ Revision: 188340
- imported package inchi

